MyGUI: MyGUI::SubWidgetManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::SubWidgetManager Class Reference

`#include <MyGUI_SubWidgetManager.h>`

## Public Member Functions
| SubWidgetManager ()
void | initialise ()
void | shutdown ()
const std::string & | getCategoryName () const
const std::string & | getStateCategoryName () const

## Static Public Member Functions
static SubWidgetManager & | getInstance ()
static SubWidgetManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 16 of file MyGUI_SubWidgetManager.h.

## Constructor & Destructor Documentation

## ◆ SubWidgetManager()

MyGUI::SubWidgetManager::SubWidgetManager | ( |  | ) |

Definition at line 25 of file MyGUI_SubWidgetManager.cpp.

## Member Function Documentation

## ◆ getCategoryName()

const std::string & MyGUI::SubWidgetManager::getCategoryName | ( |  | ) | const

Definition at line 87 of file MyGUI_SubWidgetManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::SubWidgetManager::getClassTypeName | ( |  | ) |
| static

## ◆ getInstance()

static SubWidgetManager & MyGUI::SubWidgetManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static SubWidgetManager * MyGUI::SubWidgetManager::getInstancePtr | ( |  | ) |
| static

## ◆ getStateCategoryName()

const std::string & MyGUI::SubWidgetManager::getStateCategoryName | ( |  | ) | const

Definition at line 92 of file MyGUI_SubWidgetManager.cpp.

## ◆ initialise()

void MyGUI::SubWidgetManager::initialise | ( |  | ) |

Definition at line 33 of file MyGUI_SubWidgetManager.cpp.

## ◆ shutdown()

void MyGUI::SubWidgetManager::shutdown | ( |  | ) |

Definition at line 60 of file MyGUI_SubWidgetManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_SubWidgetManager.h
- MyGUI_SubWidgetManager.cpp